Functions
IT_Management
Peripheral Driver » LL Driver » DMA » Functions
Collaboration diagram for IT_Management:

## Functions
__STATIC_INLINE void | ll_dma_enable_it_tfr (dma_regs_t *DMAx, uint32_t channel)
| Enable Transfer Complete interrupt. More...
__STATIC_INLINE void | ll_dma_enable_it_blk (dma_regs_t *DMAx, uint32_t channel)
| Enable Block Complete interrupt. More...
__STATIC_INLINE void | ll_dma_enable_it_srct (dma_regs_t *DMAx, uint32_t channel)
| Enable source transaction Complete interrupt. More...
__STATIC_INLINE void | ll_dma_enable_it_dstt (dma_regs_t *DMAx, uint32_t channel)
| Enable destination transaction Complete interrupt. More...
__STATIC_INLINE void | ll_dma_enable_it_err (dma_regs_t *DMAx, uint32_t channel)
| Enable error interrupt. More...
__STATIC_INLINE void | ll_dma_disable_it_tfr (dma_regs_t *DMAx, uint32_t channel)
| Disable Transfer Complete interrupt. More...
__STATIC_INLINE void | ll_dma_disable_it_blk (dma_regs_t *DMAx, uint32_t channel)
| Disable Block Complete interrupt. More...
__STATIC_INLINE void | ll_dma_disable_it_srct (dma_regs_t *DMAx, uint32_t channel)
| Disable source transaction Complete interrupt. More...
__STATIC_INLINE void | ll_dma_disable_it_dstt (dma_regs_t *DMAx, uint32_t channel)
| Disable destination transaction Complete interrupt. More...
__STATIC_INLINE void | ll_dma_disable_it_err (dma_regs_t *DMAx, uint32_t channel)
| Disable error interrupt. More...
__STATIC_INLINE uint32_t | ll_dma_is_enable_it_tfr (dma_regs_t *DMAx, uint32_t channel)
| Check if DMA Transfer interrupt is enabled or disabled. More...
__STATIC_INLINE uint32_t | ll_dma_is_enable_it_blk (dma_regs_t *DMAx, uint32_t channel)
| Check if DMA block interrupt is enabled or disabled. More...
__STATIC_INLINE uint32_t | ll_dma_is_enable_it_srct (dma_regs_t *DMAx, uint32_t channel)
| Check if DMA source transaction interrupt is enabled or disabled. More...
__STATIC_INLINE uint32_t | ll_dma_is_enable_it_dstt (dma_regs_t *DMAx, uint32_t channel)
| Check if DMA destination transaction interrupt is enabled or disabled. More...
__STATIC_INLINE uint32_t | ll_dma_is_enable_it_err (dma_regs_t *DMAx, uint32_t channel)
| Check if DMA error interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_dma_enable_it (dma_regs_t *DMAx, uint32_t channel)
| Enable DMA channel interrupt. More...
__STATIC_INLINE void | ll_dma_disable_it (dma_regs_t *DMAx, uint32_t channel)
| Disable DMA channel interrupt. More...
__STATIC_INLINE uint32_t | ll_dma_is_enable_it (dma_regs_t *DMAx, uint32_t channel)
| Check if DMA interrupt is enabled or disabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_dma_disable_it()

__STATIC_INLINE void ll_dma_disable_it | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable DMA channel interrupt.

Register | BitsName
--- | ---
CTLL | INI_EN

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4875 of file gr55xx_ll_dma.h.

## ◆ ll_dma_disable_it_blk()

__STATIC_INLINE void ll_dma_disable_it_blk | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable Block Complete interrupt.

Register | BitsName
--- | ---
MASK_BLK | BLK_WE&BLK

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4635 of file gr55xx_ll_dma.h.

## ◆ ll_dma_disable_it_dstt()

__STATIC_INLINE void ll_dma_disable_it_dstt | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable destination transaction Complete interrupt.

Register | BitsName
--- | ---
MASK_DST_TRN | DST_TRN_WE&DST_TRN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4683 of file gr55xx_ll_dma.h.

## ◆ ll_dma_disable_it_err()

__STATIC_INLINE void ll_dma_disable_it_err | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable error interrupt.

Register | BitsName
--- | ---
MASK_ERR | ERR_WE&ERR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4707 of file gr55xx_ll_dma.h.

## ◆ ll_dma_disable_it_srct()

__STATIC_INLINE void ll_dma_disable_it_srct | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable source transaction Complete interrupt.

Register | BitsName
--- | ---
MASK_SRC_TRN | SRC_TRN_WE&SRC_TRN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4659 of file gr55xx_ll_dma.h.

## ◆ ll_dma_disable_it_tfr()

__STATIC_INLINE void ll_dma_disable_it_tfr | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Disable Transfer Complete interrupt.

Register | BitsName
--- | ---
MASK_TFR | TFR_WE&TFR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4611 of file gr55xx_ll_dma.h.

## ◆ ll_dma_enable_it()

__STATIC_INLINE void ll_dma_enable_it | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable DMA channel interrupt.

Register | BitsName
--- | ---
CTLL | INI_EN

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4851 of file gr55xx_ll_dma.h.

## ◆ ll_dma_enable_it_blk()

__STATIC_INLINE void ll_dma_enable_it_blk | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable Block Complete interrupt.

Register | BitsName
--- | ---
MASK_BLK | BLK_WE&BLK

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4515 of file gr55xx_ll_dma.h.

## ◆ ll_dma_enable_it_dstt()

__STATIC_INLINE void ll_dma_enable_it_dstt | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable destination transaction Complete interrupt.

Register | BitsName
--- | ---
MASK_DST_TRN | DST_TRN_WE&DST_TRN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4563 of file gr55xx_ll_dma.h.

## ◆ ll_dma_enable_it_err()

__STATIC_INLINE void ll_dma_enable_it_err | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable error interrupt.

Register | BitsName
--- | ---
MASK_ERR | ERR_WE&ERR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4587 of file gr55xx_ll_dma.h.

## ◆ ll_dma_enable_it_srct()

__STATIC_INLINE void ll_dma_enable_it_srct | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable source transaction Complete interrupt.

Register | BitsName
--- | ---
MASK_SRC_TRN | SRC_TRN_WE&SRC_TRN

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4539 of file gr55xx_ll_dma.h.

## ◆ ll_dma_enable_it_tfr()

__STATIC_INLINE void ll_dma_enable_it_tfr | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Enable Transfer Complete interrupt.

Register | BitsName
--- | ---
MASK_TFR | TFR_WE&TFR

Parameters

  DMAx | DMAx instance
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  None |

Definition at line 4491 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_enable_it()

__STATIC_INLINE uint32_t ll_dma_is_enable_it | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if DMA interrupt is enabled or disabled.

Register | BitsName
--- | ---
CTL_LO | INT_EN

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 4899 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_enable_it_blk()

__STATIC_INLINE uint32_t ll_dma_is_enable_it_blk | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if DMA block interrupt is enabled or disabled.

Register | BitsName
--- | ---
MASK_BLK | BLK_WE&BLK

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 4755 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_enable_it_dstt()

__STATIC_INLINE uint32_t ll_dma_is_enable_it_dstt | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if DMA destination transaction interrupt is enabled or disabled.

Register | BitsName
--- | ---
MASK_DST_TRN | DST_TRN

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 4803 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_enable_it_err()

__STATIC_INLINE uint32_t ll_dma_is_enable_it_err | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if DMA error interrupt is enabled or disabled.

Register | BitsName
--- | ---
MASK_ERR | ERR

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 4827 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_enable_it_srct()

__STATIC_INLINE uint32_t ll_dma_is_enable_it_srct | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if DMA source transaction interrupt is enabled or disabled.

Register | BitsName
--- | ---
MASK_SRC_TRN | SRC_TRN

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 4779 of file gr55xx_ll_dma.h.

## ◆ ll_dma_is_enable_it_tfr()

__STATIC_INLINE uint32_t ll_dma_is_enable_it_tfr | ( | dma_regs_t * | DMAx,
|  | uint32_t | channel
| ) |  |

Check if DMA Transfer interrupt is enabled or disabled.

Register | BitsName
--- | ---
MASK_TFR | TFR

Parameters

  DMAx | DMA instance.
  channel | This parameter can be one of the following values: LL_DMA_CHANNEL_0 LL_DMA_CHANNEL_1 LL_DMA_CHANNEL_2 LL_DMA_CHANNEL_3 LL_DMA_CHANNEL_4 LL_DMA_CHANNEL_5 LL_DMA_CHANNEL_6 LL_DMA_CHANNEL_7

Return values

  State | of bit (1 or 0).

Definition at line 4731 of file gr55xx_ll_dma.h.